KRB5_UNPARSE_NAME(3)

NAME
krb5_unparse_name - principal to string conversion

LIBRARY
Kerberos 5 Library (libkrb5, -lkrb5)

SYNOPSIS
#include <krb5/krb5.h>
krb5_error_code
krb5_unparse_name(krb5_context context, krb5_principal principal, char **name);

DESCRIPTION
This function takes a principal, and will convert in to a printable representation with the same syntax as described in krb5_parse_name(3). *name will point to allocated data and should be freed by the caller.

SEE ALSO
krb5_425_conv_principal(3), krb5_build_principal(3), krb5_free_principal(3), krb5_parse_name(3), krb5_sname_to_principal(3)